VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Typedefs
mdaBaseProcessor.h File Reference
`#include "public.sdk/source/vst/vstaudioeffect.h"`
`#include "public.sdk/source/vst/utility/sampleaccurate.h"`
`#include "public.sdk/source/vst/utility/rttransfer.h"`
`#include "pluginterfaces/vst/ivstevents.h"`
`#include "pluginterfaces/vst/ivstparameterchanges.h"`
`#include <vector>`
`#include <array>`

## Classes
class | Processor
class | SampleAccurateBaseProcessor
struct | SynthData< VoiceT, kEventBufferSize, kNumVoices >

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::mda

## Typedefs
using | BaseProcessor = SampleAccurateBaseProcessor

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.